/*

THIS FUNCTION RETURNS THE AMBIENT LIGHT LEVEL IN LUX

*/




float getLux(){
  byte scale = 0x11;  //make note of scale for calculating lux below
  word CH0;
  float R;
  float L;
  I2C_Write(ADPS,CNTRL,3);          // POWER UP ADPS
  I2C_Write(ADPS,TIMNG,scale);      // set to high gain, middle integration scale
  delay(300);                       // wait for integration
  word CH1 = I2C_Read(ADPS,DC1,2);  // read the two bytes of CH1 
  //  Serial.print("0x11\t"); Serial.print(CH0); Serial.print("\t"); Serial.println(CH1);
// test reading for scaled accuracy
  if (CH1 > 30000){        // if we're entering unreliable high zone for middle integration
    scale = 0x10;          // set to high gain, 0.034 integration scale (13.7mS)
  } 
  if (CH1 < 200){           // if we're entering an unreliable low zone for middle integration,
    scale = 0x12;           // set to high gain, 1:1 integration scale (402mS)
  }  
    I2C_Write(ADPS,TIMNG,scale);    //set timing register
    delay(900);                     //wait for integration
    CH0 = I2C_Read(ADPS,DC0,2);  // read the two bytes of CH0
    CH1 = I2C_Read(ADPS,DC1,2);  // read the two bytes of CH1
 //    Serial.print(scale,HEX); Serial.print("\t"); Serial.print(CH0); Serial.print("\t"); Serial.println(CH1); 
  
  R = (float)CH1/(float)CH0;
//  Serial.print("Ratio: ");
//  Serial.println(R,4);
  // Ratio of CH1/CH0 determines how to derive LUX
  if (R <= 0.50){
    L = (0.0304*CH0)-(0.062*CH0*(pow(R,1.4)));
    if (scale == 0x10){L /= 0.034;}  //calculating integration scale
    if (scale == 0x11){L /= 0.252;}  //when scale is 0x12 integration is 1:1
  return L;
    }
  if (R <= 0.61){
    L = (0.0224*CH0)-(0.031*CH1);
    if (scale == 0x10){L /= 0.034;}  //calculating integration scale
    if (scale == 0x11){L /= 0.252;}  //when scale is 2 integration is 1:1
  return L;
    }
  if (R <= 0.80){
    L = (0.0128*CH0)-(0.0153*CH1);
    if (scale == 0x10){L /= 0.034;}  //calculating integration scale
    if (scale == 0x11){L /= 0.252;}  //when scale is 2 integration is 1:1
  return L;
    }
  if (R <= 1.30){
    L = (0.00146*CH0)-(0.00112*CH1);
    if (scale == 0x10){L /= 0.034;}  //calculating integration scale
    if (scale == 0x11){L /= 0.252;}  //when scale is 2 integration is 1:1
  return L;
    }
  if (R > 1.30){
    L = 0.0;
    return L;
    }
  }
  
 
 
 
