/*
THIS FUNCTION RETRIEVES THE TIME STAMP AND TEMPERATURE DATA FROM THE DS3231 RTC
*/


void getTimeTemp()
{
  // this call starts by reading the temperature registers. tempL is first
  tempL = I2C_Read(DS3231,TEMP_L,9); //reading 9 registers starting at register 0x11 
  // adjust tempR to make it printable
  tempR = (tempR>>6)*25; //tempR is the value to the right of the decimal

}



void set_alarm(byte b){
    I2C_Write(DS3231,STAT,0x00);               // clear alarm flag 
// USE THIS FOR TEN SECOND WAKEUP. GOOD FOR DEBUGGING.    
//    seconds = I2C_Read(DS3231,SEC,0x01);       // read current seconds
//    Serial.print("NOW   = ");Serial.println(seconds,HEX);
//    if (seconds >> 4 > 4){(seconds &= 0x0F) + 0xF0;}  // adjust time for next alarm wakeup
//      else{seconds += b;}   
//    Serial.print("LATER = ");Serial.println(seconds,HEX);
// USE THIS FOR 10 MINUTE WAKEUP. GENERAL TESTING TIME.    
    minutes = I2C_Read(DS3231,MIN,0x01);       // read current minutes
    Serial.print("NOW   = ");Serial.println(minutes,HEX);
    if (minutes >> 4 > 4){(minutes &= 0x0F) + 0xF0;}  // adjust time for next alarm wakeup
      else{minutes += b;}   
    Serial.print("LATER = ");Serial.println(minutes,HEX);

// Set Alarm 1 interrupt for when seconds match (10 seconds from now)    
//    I2C_Write(DS3231,A1_SEC,seconds);  
// Set Alarm 1 interrupt for when munutes match (10 minutes from now)    
    I2C_Write(DS3231,A1_MIN,minutes);    
    
   // EIMSK = 0x01;     this is done in system_sleep()                       // enable external interrupt on arduino pin 2
}


void enable_alarm(){
//  these determine alarm trigger RTDS  
    I2C_Write(DS3231,A1_SEC,0x00);           // clear A1M1 use for minutes match
//    I2C_Write(DS3231,A1_MIN,0x80);           // set A1M2 for seconds match, comment out for Minutes
    I2C_Write(DS3231,A1_HR,0x80);            // set A1M3
    I2C_Write(DS3231,A1_DYDT,0x80);          // set A1M4
    
    I2C_Write(DS3231,CTRL,0x05);             // enable interrupt on alarm 1
    I2C_Write(DS3231,STAT,0x00);             // clear alarm flags, and stop the 32KHz wave pin.
}
