
void initialize_SD(){
// initialize the SD card at SPI_HALF_SPEED to avoid bus errors with
// breadboards.  use SPI_FULL_SPEED for better performance.
  if (!card.init(SPI_FULL_SPEED)) error("card.init failed");

  if (!volume.init(&card)) error("volume.init failed");  // initialize a FAT volume
  if (!root.openRoot(&volume)) error("openRoot failed"); // open root directory
  char name[] = "SOLAR00.CSV";                           // create a new file
  for (uint8_t i = 0; i < 100; i++) {
    name[5] = i/10 + '0';
    name[6] = i%10 + '0';
    if (file.open(&root, name, O_CREAT | O_EXCL | O_WRITE)) break;
  }
  if (!file.isOpen()) error ("file.create");
  Serial.print("Logging to: ");
  Serial.println(name);     
  file.writeError = 0;
  file.print("Date");file.print(",Time");file.print(",Temp");file.print(",Lux");file.print(",Voltage");  // log the header
  file.println();
  if (file.writeError || !file.sync()) {
    error("write header failed");            // check for errors in writing the header file
  } 
}

void reInit_SD(){
if (!card.init(SPI_FULL_SPEED)) error("card.init failed");  
}


void logData(){
  file.print(month,HEX);file.print("/");file.print(date,HEX);file.print("/");file.print(year,HEX);
  file.print(",");
  file.print(hours,HEX);file.print(":");file.print(minutes,HEX);//file.print(":");file.print(seconds,HEX);
  file.print(",");
  file.print(tempL,DEC);file.print(".");file.print(tempR);file.print("*C");
  file.print(",");
  file.print(Lux,2);
  file.print(",");
  file.print(Voltage,2);
  file.println();
  if (file.writeError) error("write data failed");
  if (!file.sync()) error("sync failed");
}
