
//  THIS FUNCTION RETURNS THE CURRENT VOLTAGE



float getVoltage(){
  float V;
  I2C_Write(MCP,TCON_W,W0_ENABLE);        //attach all pins for pot 0, wiper left at 0
  //int TCON = I2C_Read(MCP,TCON_R,2);Serial.print("TCON = ");Serial.println(TCON,BIN);      
  I2C_Write(MCP,Write_W0,255);            //set the wiper position to 255
  for (int i = 255; i>=0; i--){
     I2C_Write(MCP,Write_W0,i);           //decrement the wiper until we hit the 2.1V trip point
     delay(10);
     if (digitalRead(Trip) == 0){         //0V is 'on' for the TC54 Voltage Detector
       int wTrip = I2C_Read(MCP,Read_W0,2);  //Serial.print("Down Trip Point = "); Serial.println(wTrip,DEC);
       V = 537.6/wTrip;                   //calculate voltage based on 2.1V trigger and 256 step pot
       I2C_Write(MCP,TCON_W,W0_DISABLE);  //disconeect the pot from GND, leaving it pulling up on TC54
       //int TCON = I2C_Read(MCP,TCON_R,2);Serial.print("TCON = ");Serial.println(TCON,BIN);     
       return V;
    }
  }
}  //end getVoltage






/*

Digipot = 5K @ 256 steps
R/step = 5000/256 = 19.53ohm

trigger step/total steps  = triggerV/totalV
wTrip/256 = 2.1/Voltage
256*2.1 = wTrip*Voltage
537.6/wTrip = Voltage

Down Voltage trip = 2.10
    Voltage = 537.6/wTrip;

*/

